Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSemantics
Class TransitionSystem

    java.lang.Object
      jason.asSemantics.TransitionSystem

    public class TransitionSystem

extends java.lang.Object

Nested Class Summary
`static class` | `TransitionSystem.State`

Constructor Summary
`TransitionSystem(Agent a, Circumstance c, Settings s, AgArch ar)`

Method Summary
`void` | `addGoalListener(GoalListener gl)` adds an object that will be notified about events on goals (creation, suspension, ...)
`java.util.List<Option>` | `applicablePlans(java.util.List<Option> rp)`
`void` | `applyClrInt(Intention i)`
`boolean` | `canSleep()`
`Event` | `findEventForFailure(Intention i, Trigger tevent)`
`boolean` | `generateGoalDeletion(Intention i, java.util.List<Term> failAnnots)` generate a failure event for an intention
`Agent` | `getAg()`
`Circumstance` | `getC()`
`java.util.List<GoalListener>` | `getGoalListeners()`
`java.util.logging.Logger` | `getLogger()`
`Settings` | `getSettings()`
`TransitionSystem.State` | `getStep()`
`AgArch` | `getUserAgArch()`
`boolean` | `hasGoalListener()`
`void` | `reasoningCycle()`
`java.util.List<Option>` | `relevantPlans(Trigger teP)`
`boolean` | `removeGoalListener(GoalListener gl)`
`void` | `runAtBeginOfNextCycle(java.lang.Runnable r)` Schedule a task to be executed in the begin of the next reasoning cycle.
`void` | `setLogger(AgArch arch)`
`void` | `updateEvents(Event e)`
`void` | `updateEvents(java.util.List<Literal>[] result, Intention focus)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransitionSystem

    public TransitionSystem(Agent a,
                            Circumstance c,
                            Settings s,
                            AgArch ar)

Method Detail

### setLogger

    public void setLogger(AgArch arch)

### addGoalListener

    public void addGoalListener(GoalListener gl)

  adds an object that will be notified about events on goals (creation, suspension, ...)

### hasGoalListener

    public boolean hasGoalListener()

### getGoalListeners

    public java.util.List<GoalListener> getGoalListeners()

### removeGoalListener

    public boolean removeGoalListener(GoalListener gl)

### applyClrInt

    public void applyClrInt(Intention i)
                     throws JasonException

  Throws:
    `JasonException`

### relevantPlans

    public java.util.List<Option> relevantPlans(Trigger teP)
                                         throws JasonException

  Throws:
    `JasonException`

### applicablePlans

    public java.util.List<Option> applicablePlans(java.util.List<Option> rp)
                                           throws JasonException

  Throws:
    `JasonException`

### updateEvents

    public void updateEvents(java.util.List<Literal>[] result,
                             Intention focus)

### updateEvents

    public void updateEvents(Event e)

### generateGoalDeletion

    public boolean generateGoalDeletion(Intention i,
                                        java.util.List<Term> failAnnots)
                                 throws JasonException

  generate a failure event for an intention

  Throws:
    `JasonException`

### findEventForFailure

    public Event findEventForFailure(Intention i,
                                     Trigger tevent)

### canSleep

    public boolean canSleep()

### runAtBeginOfNextCycle

    public void runAtBeginOfNextCycle(java.lang.Runnable r)

  Schedule a task to be executed in the begin of the next reasoning cycle. It is used mostly to change the C only by the TS thread (e.g. by .wait)

### reasoningCycle

    public void reasoningCycle()

### getAg

    public Agent getAg()

### getC

    public Circumstance getC()

### getStep

    public TransitionSystem.State getStep()

### getSettings

    public Settings getSettings()

### getUserAgArch

    public AgArch getUserAgArch()

### getLogger

    public java.util.logging.Logger getLogger()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD